XvSetPortAttribute(3)

NAME
XvSetPortAttribute - sets an attribute of a video port

SYNOPSIS
#include <X11/extensions/Xvlib.h>

int XvSetPortAttribute(Display *dpy, XvPortID port,
                       Atom attribute, int value);

ARGUMENTS

dpy Specifies the connection to the X server.

port
    Specifies the port for which the attribute is to be used.

attribute
    Identifies the port attribute to be set by this request. Can be one of the table entries under the column "String," below.

value
    Identifies the value to which attribute is to be set. Can be one of the table entries under the column "Type," below.

DESCRIPTION
XvSetPortAttribute(3)
 permits a client to set the port attribute to specified values. This request supports the following values:

Attribute String | Type | Default
"XV_ENCODING" | XvEncodingID | Server dependent
"XV_HUE" | [-1000...1000] | 0
"XV_SATURATION" | [-1000...1000] | 0
"XV_BRIGHTNESS" | [-1000...1000] | 0
"XV_CONTRAST" | [-1000...1000] | 0

The supplied encoding must be one of the encodings listed for the adaptor, otherwise an Encoding error results.

If the adaptor does not support the exact hue, saturation, brightness, and contrast levels supplied, the closest levels supported are assumed. Use XvGetPortAttribute(3) to query the resulting levels.

When an XvSetPortAttribute(3) request is processed, a XvPortNotify(3) event is generated for all clients that have requested notification of port changes using XvSelectPortNotify(3).

RETURN VALUES

[Success]
    Returned if XvSetPortAttribute(3) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvSelectVideoNotify(3) failed to allocate memory to process the request.

DIAGNOSTICS

[XvBadPort]
    Generated if the requested port does not exist.

[XvBadEncoding]
    Generated if an encoding is specified that does not exist.

[BadMatch]
    Generated if the requested attribute atom does not specify an attribute supported by the adaptor.

SEE ALSO
XvGetPortAttribute(3), XvQueryPortAttributes(3), XvSelectPortNotify(3), XvPortNotify(3)